Jump to content
IHC-User.dk
  • 3
Lars1

JAVA problemer igen igen igen

Question

Jeg vil fremover forsøge at holde denne tråd opdateret med de forskellige problemer der findes for de forskellige Java og IHC firmware versioner. Skriv endeligt kommentar i denne tråd. Jeg vil efter bedste evne forsøge at holde dette indlæg opdateret.

Seneste nyt: 19/10-2017:
Oracle har fornylig releaset Java 8 update 151. Ingen problemer med firmware 2.8.4. Tidligere firmware har problemer med manglende MD5 understøttelse.

Seneste nyt: 29/7-2017:
Oracle har fornylig releaset Java 8 update 141. Samme udfordring med MD5 som med Java 8 update 131. Problemet er imidlertid løst med firwmare 2.8.4 som er blevet released af LK inden for den sidste mdr.

Seneste nyt: 21/4-2017:
Oracle har releaset Java 8 update 131. LK IHC Serviceview etc. virker ikke med denne Java medmindre man enabler MD5 certifikater igen. Se workaround under Java 8 update 131.

Seneste nyt: 1/10-2016:
LK har langt om længe releaset firmware 2.8.1, men det bør kun installeres på HW6.2 controller jvf. LK. Den nye firmware løser såvidt jeg kan se alle kendte JAVA problemer. Jeg har ikke fået checket om de også har fået opdateret krypterings algorithmerne som bruges i forbindelse med HTTPS trafik.
Eftersom der ikke er kommet en ny firmware til HW6.1 controller, lader jeg nedenstående stå.

Seneste nyt: 22/7-2016:
Oracle har releaset Java 8 update 101 og den ser ud til igen at virke med LK's firmware 2.7.199 og 2.7.220, sålænge man bruger de workarounds som er beskrevet for Java 8 update 71 længere nede. Hvis i allerede har implementeret workaroundsne, kan i opgrader til Java 8 update 101 direkte uden at ændre noget.

 

Firmware 2.8.4:
Problemer:

  • Fungere i.flg LK's support site ikke på HW6.1 controller.

Løst:

  • MD5 certifikater bruges ikke længere af serviceview etc.
  • Det ser umiddelbart ud til at Visual's problemer med at forbinde til controlleren samtidig med at f.eks. IHC Captain køre er blevet løst

Firmware 2.8.3:
Problemer:

  • Fungere i.flg LK's support site ikke på HW6.1 controller.
  • Enkelte rapporter om at Visual har problemer med at connecte til controlleren hvis Serviceview eller f.eks. IHC Captain køre

Løst:

  • Sandsynligvis fornyede certifikater

Firmware 2.8.1:
Problemer:

  • PT ingen kendte problemer udover at den i.flg LK's support site ikke fungere på HW6.1 controller.

Løst:

  • Fornyede certifikater

Firmware 2.7.220:
Problemer:

  • Udløbne JAVA og SSL certifikater, som giver problemer med Java applikationer som service view etc.
  • Forældet krypterings algorithm'er som giver problemer for web scene view i nyer browser, samt SOAP API'et
  • Generelt set som en ustabil firmware

Løst:

  • Understøttelse at TLS 1.1 og 1.2 kryptering
  • Support for lux/temp og fugt/temp sensor

 

Firmware 2.7.199:
Problemer:

  • Udløbne JAVA og SSL certifikater, som giver problemer med Java applikationer som serviceview etc.
  • Forældet krypterings algorithm'er som giver problemer for web sceneview i nyer browser.
  • Kun understøttelse af TLS 1.0, hvilket giver problemer for Java applikationer som service view etc.
  • Ingen understøttelse af lux/temp og fugt/temp sensor

Løst:

  • Generelt set som en stabil firmware

 

Java 8 update 131, 141 og 151:
Problemet er løst med firmware 2.8.4
Jeg får nedenstående fejl når jeg forsøger at starte Serviceview. Workarounden er at fjerne MD5 fra jdk.jar.disabledAlgorithms= som findes i konfig. filen java.security i <JAVA_HOME>/lib/security/java.security. En nærmere beskrivelse af baggrunden for ændringen i Java findes her https://blogs.oracle.com/java-platform-group/entry/strengthening_signatures og her https://blogs.oracle.com/java-platform-group/entry/strengthening_signatures_part_2

597cc72dea756_Javaerror-3.JPG.2c028dbebd1c7c8d20c4a7c8ee9e7a05.JPG

Java 8 update 101:
Java 8 update 101 blev released omkring 22/7-2016. Den ser ud til at virke med samme workarounds som for Java 8 update 71

Java 8 update 77:
Java 8 update 77 blev released 23/3-2016. PT. er det ikke lykkes mig at få service view til at starte med JAVA 8 build 77 installeret, heller ikke selvom den er disablet i java control panel. :angry: Jeg får nedenstående fejl og ingen af løsningerne fra de tidligere Java versioner virker. :angry:

Java-8_77-error.JPG

Løsningen er pt. at downgrade til en ændre Java version. De ændre versioner kan hentes her http://www.oracle.com/technetwork/java/archive-139210.html men vær opmærksom på at den nyeste version skal afinstalleres for at admin, service view etc. vil virke. Jeg håber jeg kan få fat på LK efter påske og få dem til at release en ny FW med opdaterede certifikater og krypterings protokoller, da det synes at være det som er problemet.
Edit 1/4-2016: Problemet ser ud til at være opstået allerede i Java 8 update 72. Java 8 update 71 ser dermed ud til at være den sidste Java version, som kan bringes til at afvikle LK's IHC's Java applikationer. Jvf. LK's support site er seneste supporterede Java version for HW6.1 controller Java 8 update 66.

Java 8 update 71 eller tidligere (Gælder også for Java 8 update 101):
Efter opgradering til Java 8 update 71 vil service view ikke længere starte. Den kommer med nedenstående fejl, og der kommer ikke nogen boks hvor man kan aksepter expired certifikater.
JAVA error.JPG

Løsningen findes her. http://java.com/en/download/help/jcp_security.xml Tilføj det som står uden for location i ovenstående billed, under edit site list på security tab'en i Java control panel. Java vil brokke sig over at i kun skriver http: og ikke https:, men det skal i bare aksepter. Der skal står HTTP:, da JAVA applikationen downloades via HTTP, mens data og login sendes og modtages over https:
Når i starter service view første gang efter ovenstående rettelse, vil få en boks hvor i kan aksepter udløbne certifikater.

 

Forkert bruger ID/Password:
Denne fejl ses ind imellem hvis man køre med en Java 8 update 71 eller nyer, samt Firmware 2.7.199 eller ældre. Workarounden er at disable TLS 1.1 og 1.2 og enable TLS 1.0 i Java.
59201ba64dd9b_TLSerror-2.jpg.b09d878eb6d8ecd73510d975fce3a135.jpg

 

Browser support for forældet kryptering:
I firefox skriver i about:config i url linien. aksepter den advarsel som kommer op, og søger efter security.tls.insecure_fallback_hosts. Dobbelt klik på entriet, og indtast ip addressen på jeres IHC controller. Herefter vil web scene viewer igen virke, ligesom SOAP login fra en browser etc.

Share this post


Link to post
Share on other sites

Recommended Posts

  • 0

Prøv at klikke på managede certificates i JAVA, og slette evt. trusted schneider eller LK certifikater der. Hvis det ikke er nok, så prøv at klikke på restore security promts også.

 

Derudover bør du overveje at opgrader din firmware. Det er længe siden at LK skiftede til certifikater der er signed med Schneider som publisher i stedet for Lauritz Knudsen.

Share this post


Link to post
Share on other sites
  • 0

Prøv at klikke på managede certificates i JAVA, og slette evt. trusted schneider eller LK certifikater der. Hvis det ikke er nok, så prøv at klikke på restore security promts også.

 

Derudover bør du overveje at opgrader din firmware. Det er længe siden at LK skiftede til certifikater der er signed med Schneider som publisher i stedet for Lauritz Knudsen.

Share this post


Link to post
Share on other sites
  • 0

Hej Lars

Jeg kan stadig ikke få det til at fungere. Jeg har ingen manage certificates og jeg har prøvet med restore. 

2016-02-23_19-33-20.thumb.jpg.4c1a495b50

 

Min firmware skulle gerne være den nyeste.2.7.220 2016-02-23_19-36-18.jpg.8c29375e28d0e4f2

Lidt mere information til fejlen. Jeg kan ikke forbinde via firmware loader over LAN, men jeg kan godt forbinde via LK IHC VISUAL. jeg kan også godt forbinde via IP.

2016-02-23_19-38-48.thumb.jpg.c121137e8b

Når jeg sætter min bærbar til controller via USB kan jeg godt forbinde vi firmwareloader men ikke via http://USB. USB driver fra LK er installeret.

2016-02-23_19-40-48.jpg.ddb546d31cc19209

Jeg håber det her giver et klare billede af hvad jeg mangler at gøre. Jeg er ihvertfald forvirret.

Mvh Jason

Share this post


Link to post
Share on other sites
  • 0

Hejsa,

Efter opgradering af Java skod er jeg også låst og kan ikke tilgå hverken Admin eller Serviceview. 

Windows 7 og sidste nye F.W.

Har prøvet at slette i " undtagelses listen " , afinstallere java og geninstallere, men ingen ting lykkedes.

Skriver til LK. Go' påske alle sammen. :angry:

Share this post


Link to post
Share on other sites
  • 0
10 minutter siden, Jørgen Møllegaard skrev:

Hejsa,

Efter opgradering af Java skod er jeg også låst og kan ikke tilgå hverken Admin eller Serviceview. 

Windows 7 og sidste nye F.W.

Har prøvet at slette i " undtagelses listen " , afinstallere java og geninstallere, men ingen ting lykkedes.

Skriver til LK. Go' påske alle sammen. :angry:

Som jeg har skrevet oven over, så virker admin og service view etc. ikke med den nyeste Java. Ældre Java versioner kan hentes her. http://www.oracle.com/technetwork/java/archive-139210.html Efter en downgrade virker alt igen.

Share this post


Link to post
Share on other sites
  • 0

Rigtig godt initiativ. Kan kun bekræfte, at der minimum er følgende 3 problemer:
- ustabil firmware version 220
- udløbet certificat i firmware 199 og 220
- firmware 199 og 220 fungerer ikke sammen med nyeste java version, som pt. er 8.77.

Håber der er nogle, som har mulighed for at påvirke LK til at løse ovenstående problemer. Lidt ærgerligt at skulle bruge en del timer på ovenstående konklusioner på sin fridag.

Share this post


Link to post
Share on other sites
  • 0
1 minut siden, EjvindHald skrev:

Rigtig godt initiativ. Kan kun bekræfte, at der minimum er følgende 3 problemer:
- ustabil firmware version 220
- udløbet certificat i firmware 199 og 220
- firmware 199 og 220 fungerer ikke sammen med nyeste java version, som pt. er 8.77.

Håber der er nogle, som har mulighed for at påvirke LK til at løse ovenstående problemer. Lidt ærgerligt at skulle bruge en del timer på ovenstående konklusioner på sin fridag.

Har du selv kontaktet LK for at minde dem om problemet? Det skader nok ikke at så mange som muligt skriver eller ringer til dem.

Share this post


Link to post
Share on other sites
  • 0

Ja, jeg har nævnt det i telefonen til Christian Kjer, som sidder i LK IHC support. Der var dog før java version 8.77 blev frigivet, så det er kun udløbet certificat og ustabil 220 firmware, som er nævnt. Jeg kender ingen mailadresse, som man kan skrive til. Desværre er jeg privatperson, og jeg tror, at de lytter mere til grossister eller aut. elinstallatører. Han gav udtryk for, at version 220 kørte fint, og at kun ganske få kunder havde problemer med genstart af controlleren. I så fald må jeg være en af de få kunder, han omtaler, selvom jeg kun bruger fb'ere fra LK, og alle udgange har kun én fb tilknyttet.

Share this post


Link to post
Share on other sites
  • 0

EjvindHald, det er her man skal kontakte LK, så de får at føle de mange problemer der er.
Vi går jo alle og finder små 'work a round'  for at få det til at virke, og når vi har lavet krumspring lader vi det være, og så erLK ikke blevet gjort opmærksom på endnu et stort problem, og tror der ikke er mange der har problemet.

 

Share this post


Link to post
Share on other sites
  • 0
7 timer siden, EjvindHald skrev:

Rigtig godt initiativ. Kan kun bekræfte, at der minimum er følgende 3 problemer:
- ustabil firmware version 220
- udløbet certificat i firmware 199 og 220
- firmware 199 og 220 fungerer ikke sammen med nyeste java version, som pt. er 8.77.

Håber der er nogle, som har mulighed for at påvirke LK til at løse ovenstående problemer. Lidt ærgerligt at skulle bruge en del timer på ovenstående konklusioner på sin fridag.

Jeg tror at 2 og 3 hænger sammen. Den nyeste Java virker ikke p.gr.af af de udløbne certifikater.

Du kan så også tilføje at web scene view ikke virker i de nyeste browser, grundet forældet krypterings teknik.

Det til kan jeg så kun opfordre så mange som muligt til at klage deres nød til LK.

Share this post


Link to post
Share on other sites
  • 0
3 timer siden, EjvindHald skrev:

Ja, jeg har nævnt det i telefonen til Christian Kjer, som sidder i LK IHC support. Der var dog før java version 8.77 blev frigivet, så det er kun udløbet certificat og ustabil 220 firmware, som er nævnt. Jeg kender ingen mailadresse, som man kan skrive til. Desværre er jeg privatperson, og jeg tror, at de lytter mere til grossister eller aut. elinstallatører. Han gav udtryk for, at version 220 kørte fint, og at kun ganske få kunder havde problemer med genstart af controlleren. I så fald må jeg være en af de få kunder, han omtaler, selvom jeg kun bruger fb'ere fra LK, og alle udgange har kun én fb tilknyttet.

Jeg har også godt hørt at LK mener at FW 2.20 køre stabilt, men jeg har også hørt fra andre at LK har anbefalet dem at nedgrader til 1.99 for at få bedre stabilitet.

Min egen observation er at min controller gik fra at genstarte ca. hver 7 dag, til at genstarte ca. hver 3 dag da jeg udskiftede en rum/gulv temp. sensor med en fugt/temp. sensor, og det uden at der er lavet nogen ændringer ud over udskiftningen af sensor produktet i IHC programmet.

Share this post


Link to post
Share on other sites
  • 0
2 timer siden, Ulle skrev:

EjvindHald, det er her man skal kontakte LK, så de får at føle de mange problemer der er.
Vi går jo alle og finder små 'work a round'  for at få det til at virke, og når vi har lavet krumspring lader vi det være, og så erLK ikke blevet gjort opmærksom på endnu et stort problem, og tror der ikke er mange der har problemet.

 

Jeg må desværre sige at jeg tror LK er nået til et punkt, hvor de kun laver rettelser, når der er problemer som ikke længere kan løses med en workaround. JAVA 8 update 77 ser ud til at være et af disse tilfælde.

Share this post


Link to post
Share on other sites
  • 0

Kan det godt passe at der er ældre versioner fw i universal wireless lysdæmper, der ikke kan klare nyere versioner fw i conttolleren? Har før forsøgt at opdatere fw i controller hvor jeg så mistede forbindelse til dæmper. 

Blot lige en føler inden jeg går igang med fw Update for at kunne komme komme online. Hvis det overhovedet er muligt;-(

Share this post


Link to post
Share on other sites
  • 0

Mine wireless dimmer og IHC controller er snart 10 år gamle, og jeg køre med FW 2.7.220 uden de store problemer, udover ganske hyppig genstart af controlleren.

Hvis du har en meget gammel FW, skal du først opgrader til 2.7.199 før du gå til 2.7.220, men hvis du ikke har temp/fugt eller temp/lux sensor vil jeg overveje at blive på 2.7.199. Den er i.flg. rygterne mere stabil end 2.7.220

Share this post


Link to post
Share on other sites
  • 0
7 timer siden, Lars1 skrev:

Mine wireless dimmer og IHC controller er snart 10 år gamle, og jeg køre med FW 2.7.220 uden de store problemer, udover ganske hyppig genstart af controlleren.

Hvis du har en meget gammel FW, skal du først opgrader til 2.7.199 før du gå til 2.7.220, men hvis du ikke har temp/fugt eller temp/lux sensor vil jeg overveje at blive på 2.7.199. Den er i.flg. rygterne mere stabil end 2.7.220

Men ved du om der overhovedet kan komme hul igennem med USB som det er lige nu.. Sagen er at påsken er gået med at bygge tavlen om med flere udgange og nu kan jeg ikke få kontakt til controller hverken IP eller USB.. Og der er selvfølgelig en masse udgange der ikke er konfigureret lige pt.. Og du ved fruen er godt og grundig træt af alt det her efterhånden:-)

 

PFT

Share this post


Link to post
Share on other sites
  • 0

Adgang til controllerne på IP eller USB har intet at gøre med hvilken firmware der ligger i din controller eller wireless dimmer.

Hvis du ikke kan få forbindelse til controlleren via Visual (kræver IP eller USB adgang), så kan du ikke komme til at linke dine nye wireless dimmer, og så vil de ikke virke.

Share this post


Link to post
Share on other sites
  • 0
På 17/5/2016 at 18:18 , eckhardt skrev:

så nu har jeg pludselig fået problemer med java 8 update 72
jeg får denne fejl.

Failed to validate certificate.

det har ellers virket..

D. 1/4 editerede jeg det første indlæg i denne tråd med en kommentar om at problemet også kan opstå i Java 8 update 72. Hvorfor det ikke kommer hvergang i 8U72 kan jeg ikke forklare, men jeg har kun fået det til at køre stabilt med 8U71.

Share this post


Link to post
Share on other sites
  • 0
På 6/6/2016 at 17:24 , Kasper Madsen skrev:

Hej :-)

-kom til at opdatere Java til V8u91, og nu er der helt dødt, den siger certifikat er udløbet, også selvom jeg downgrader til U71 :-(

Har du fulgt workarounden i første indklæg i denne tråd for Java 8U71?

Share this post


Link to post
Share on other sites
  • 0

Hej med jer

Har lige læst denne tråd da jeg er nød til at skifte mit voice modem ud med et sms modem, men som alle jer andre kan jeg ikke komme ind i nogen af programmerne:-( gælder det stadig at jeg skal downgrade til 8U71 eller er det evt løst på anden måde???

Håber på lidt hjælp

Vh Martin

Share this post


Link to post
Share on other sites
  • 0

Du skal som minimum downgrade til 8-71. Derefter skal du overveje om du har andre programmer som kræver at du ca. hver 14. dag opgraderer java. Hvis ikke, så stop den automatiske opdatering. Jeg køre selv med 6-22 på den stationære og 7-51 på den bærbare.

Nets og bankerne har f.eks. ikke behov for java.

Alternativt skal du vendte til LK kommer med en ny FW som løser problemet.

Share this post


Link to post
Share on other sites
  • 0

I.flg. LK skulle der komme en ny firmware i denne uge, med opdaterede Java certifikater og krypterings algorithmer. Vi er dog flere som ikke tror på det holder, på trods af at de har gentaget udmeldingen for mindre end 1 uge siden.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...

Important Information

Privacy Policy og We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.